edu.northwestern.at.morphadorner.tools

## Enum ExtendedAdornedWord.MainSide

- java.lang.Object
- - java.lang.Enum<ExtendedAdornedWord.MainSide>
  - - edu.northwestern.at.morphadorner.tools.ExtendedAdornedWord.MainSide

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExtendedAdornedWord.MainSide>
  Enclosing class:
    ExtendedAdornedWord

      public static enum ExtendedAdornedWord.MainSide
      extends java.lang.Enum<ExtendedAdornedWord.MainSide>

  Main or side text (paratext).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAIN`
    `SIDE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExtendedAdornedWord.MainSide` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExtendedAdornedWord.MainSide[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAIN

          public static final ExtendedAdornedWord.MainSide MAIN

    - #### SIDE

          public static final ExtendedAdornedWord.MainSide SIDE

  - ### Method Detail

    - #### values

          public static ExtendedAdornedWord.MainSide[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtendedAdornedWord.MainSide c : ExtendedAdornedWord.MainSide.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtendedAdornedWord.MainSide valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null